# Get a single SMS activity

GET https://api.close.com/api/v1/activity/sms/{id}/

Reference: https://developer.close.com/api/resources/activities/sms/get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /activity/sms/{id}/:
    get:
      operationId: get
      summary: Get a single SMS activity
      tags:
        - subpackage_activitiesSms
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SMSActivity'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    PhoneActivityDirection:
      type: string
      enum:
        - inbound
        - outbound
      description: |-
        Direction of a phone call or an SMS message.

        If you want to use this for a new activity, consider more generic
        CommunicationDirection instead.
      title: PhoneActivityDirection
    PhoneActivitySource:
      type: string
      enum:
        - Close.io
        - External
      description: Source of a phone call or an SMS message.
      title: PhoneActivitySource
    MessageStatus:
      type: string
      enum:
        - inbox
        - draft
        - scheduled
        - outbox
        - sent
        - error
      description: |-
        Status of a message, such as Email or SMS.

        This set of statuses should be enough to support features such as
        "send later" or "undo send".
      title: MessageStatus
    SMSActivity:
      type: object
      properties:
        _type:
          type: string
        activity_at:
          type:
            - string
            - 'null'
          format: date-time
        agent_action_reason:
          type:
            - string
            - 'null'
        agent_config_id:
          type:
            - string
            - 'null'
        contact_id:
          type:
            - string
            - 'null'
        cost:
          type:
            - string
            - 'null'
        created_by:
          type:
            - string
            - 'null'
        created_by_name:
          type:
            - string
            - 'null'
        date_created:
          type: string
          format: date-time
        date_scheduled:
          type:
            - string
            - 'null'
          format: date-time
        date_sent:
          type:
            - string
            - 'null'
          format: date-time
        date_updated:
          type: string
          format: date-time
        direction:
          $ref: '#/components/schemas/PhoneActivityDirection'
        error_message:
          type:
            - string
            - 'null'
        id:
          type: string
        lead_id:
          type:
            - string
            - 'null'
        local_country_iso:
          type:
            - string
            - 'null'
        local_phone:
          type:
            - string
            - 'null'
        local_phone_formatted:
          type:
            - string
            - 'null'
        organization_id:
          type: string
        remote_country_iso:
          type:
            - string
            - 'null'
        remote_phone:
          type:
            - string
            - 'null'
        remote_phone_formatted:
          type:
            - string
            - 'null'
        sequence_id:
          type:
            - string
            - 'null'
        sequence_name:
          type:
            - string
            - 'null'
        sequence_subscription_id:
          type:
            - string
            - 'null'
        source:
          $ref: '#/components/schemas/PhoneActivitySource'
        status:
          $ref: '#/components/schemas/MessageStatus'
        template_id:
          type:
            - string
            - 'null'
        text:
          type:
            - string
            - 'null'
        updated_by:
          type:
            - string
            - 'null'
        updated_by_name:
          type:
            - string
            - 'null'
        user_id:
          type:
            - string
            - 'null'
        user_name:
          type:
            - string
            - 'null'
        users:
          type: array
          items:
            type: string
      required:
        - _type
        - activity_at
        - contact_id
        - cost
        - created_by
        - date_created
        - date_scheduled
        - date_sent
        - date_updated
        - direction
        - error_message
        - id
        - lead_id
        - local_country_iso
        - local_phone
        - local_phone_formatted
        - organization_id
        - remote_country_iso
        - remote_phone
        - remote_phone_formatted
        - source
        - status
        - template_id
        - text
        - updated_by
        - user_id
        - users
      title: SMSActivity
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```